Bug 417822 - Elisa shows library only partially if baloo is enabled
Summary: Elisa shows library only partially if baloo is enabled
Status: RESOLVED FIXED
Alias: None
Product: Elisa
Classification: Applications
Component: baloo (show other bugs)
Version: 19.12.2
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Matthieu Gallien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-18 10:55 UTC by Rainer Finke
Modified: 2020-03-11 21:59 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 20.04.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Finke 2020-02-18 10:55:24 UTC
I have the issue that Elisa shows only the songs from one folder of my music library even after scanning the music folder multiple times and after removing and adding the library again. As I had in the past already trouble with Baloo, I disabled it. Then after starting Elisa my library showed up just fine.

STEPS TO REPRODUCE
1. Use default Plasma with Baloo enabled by default
2. Add and scan music library

OBSERVED RESULT
- Music library is shown only partially

EXPECTED RESULT
- Complete music library is available

Operating System: Arch Linux 
KDE Plasma Version: 5.18.0
KDE Frameworks Version: 5.67.0
Qt Version: 5.14.1
Kernel Version: 5.5.4-arch1-1
Comment 1 Matthieu Gallien 2020-02-20 16:20:46 UTC
Indeed, if tracks are missing from Baloo index, this is a bug not in Elisa.

Anyway, let's add a way to workaround that directly in Elisa.
Comment 2 Matthieu Gallien 2020-02-20 16:31:45 UTC
A under review branch is available with a fix for that bug.

https://invent.kde.org/kde/elisa/merge_requests/88
Comment 3 Matthieu Gallien 2020-03-11 21:55:49 UTC
Git commit c700f72d241c6fe25aaa55c789859675e755cb14 by Matthieu Gallien.
Committed on 11/03/2020 at 21:34.
Pushed by mgallien into branch 'master'.

allow the user via to configure Elisa not to rely on Baloo

allow users to workaround missing music files in Baloo index by
configuring Elisa not to rely only on it.

M  +2    -0    src/elisa_core.kcfg
M  +19   -0    src/file/localfilelisting.cpp
M  +2    -0    src/file/localfilelisting.h
M  +14   -0    src/localFileConfiguration/elisaconfigurationdialog.cpp
M  +15   -0    src/localFileConfiguration/elisaconfigurationdialog.h
M  +9    -6    src/musiclistenersmanager.cpp
M  +8    -4    src/qml/ElisaConfigurationDialog.qml
M  +94   -75   src/qml/FileScanningConfiguration.qml

https://invent.kde.org/kde/elisa/commit/c700f72d241c6fe25aaa55c789859675e755cb14